BN: audiod
SF: audiod_command.c
SN: list of audiod commands
---
N: cycle
D: switch to next mode
U: cycle
H: on -> standby -> off -> on
---
N: grab
D: grab the audio stream
L:
U: -- grab [-m[{s|p|a}]] [-p=PARENT] [-n=NAME] [-o]
H:
H: grab ('splice') the audio stream at any position in the buffer
H: tree and send that data back to the client.
H:
H: Options:
H:
H: -m	Change grab mode. Defaults to sloppy grab if not given.
H:
H:    -ms: sloppy grab
H:    -mp: pedantic grab
H:    -ma: aggressive grab
H:
H: The various grab modes only differ in what happens if an attempt to
H: write the grabbed audio data would block. Sloppy mode ignores the
H: write, pedantic mode aborts and aggressive mode tries to write anyway.
H:
H: -p	Grab output of node PARENT of the buffer tree.
H:
H: -n	Name of the new buffer tree node. Defaults to 'grab'.
H:
H: -o	One-shot mode: Stop grabbing if audio file changes.
---
N: help
D: display command list or help for given command
U: help [command]
H: When I was younger, so much younger than today, I never needed anybody's help
H: in any way. But now these days are gone, I'm not so self assured. Now I find
H: I've changed my mind and opened up the doors.
H:                                                              -- Beatles: Help
---
N: off
D: deactivate para_audiod
U: off
H: Close connection to para_server and stop all decoders.
---
N: on
D: activate para_audiod
U: on
H: Establish connection to para_server, retrieve para_server's current status. If
H: playing, start corresponding decoder. Otherwise stop all decoders.
---
N: sb
D: enter standby mode
U: sb
H: Stop all decoders but leave connection to para_server open.
---
N: stat
D: print status information
U: stat [-p] [item1 ...]
H: Dump given status items (all if none given) to stdout. If -p is given, use
H: parser-friendly mode.
---
N: tasks
D: list current tasks
U: tasks
H: Print the list of task ids together with the status of each task.
---
N: term
D: terminate audiod
U: term
H: Stop all decoders, shut down connection to para_server and exit.
---
N: version
D: print the version of para_audiod
U: version [-v]
H: If the -v option is given, a more detailed version text is printed.
